com.genesyslab.wfm7.API.service.config750

## Class CfgShift

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgShift

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgShift
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp`
    `private CfgShiftBMSequence[]` | `wmBMSequences`
    `private int` | `wmBMSequencesNSizeIs`
    `private int` | `wmBreakMaxDistance`
    `private int` | `wmBreakMinDistance`
    `private int` | `wmConsecutiveDays`
    `private int` | `wmDayOffRule`
    `private int` | `wmDistribPeriod`
    `private int` | `wmEarliestEndDuration`
    `private double` | `wmEarliestStartTime`
    `private int` | `wmLatestEndDuration`
    `private int` | `wmLatestStartDuration`
    `private int` | `wmMaxDuration`
    `private int` | `wmMaxOccur`
    `private int` | `wmMinDuration`
    `private int` | `wmMinOccur`
    `private java.lang.String` | `wmName`
    `private boolean[]` | `wmOpenWeekDays`
    `private CfgShiftBreak[]` | `wmShiftBreaks`
    `private int` | `wmShiftBreaksNSizeIs`
    `private int[]` | `wmShiftContracts`
    `private int` | `wmShiftContractsNSizeIs`
    `private int` | `wmShiftId`
    `private CfgShiftMeal[]` | `wmShiftMeals`
    `private int` | `wmShiftMealsNSizeIs`
    `private int[]` | `wmShiftTaskSequences`
    `private int` | `wmShiftTaskSequencesNSizeIs`
    `private int` | `wmSiteId`
    `private int` | `wmStartStep`
    `private int` | `wmTaskSequenceUsage`
    `private boolean` | `wmUseAfterDayOff`
    `private boolean` | `wmUseConsecutive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgShift()`
    `CfgShift(int wmShiftId, int wmSiteId, java.lang.String wmName, int wmMinDuration, int wmMaxDuration, double wmEarliestStartTime, int wmLatestEndDuration, int wmDayOffRule, boolean[] wmOpenWeekDays, int wmStartStep, int wmMinOccur, int wmMaxOccur, int wmDistribPeriod, int wmBreakMinDistance, int wmTaskSequenceUsage, boolean wmUseConsecutive, int wmConsecutiveDays, boolean wmUseAfterDayOff, int wmLatestStartDuration, int wmEarliestEndDuration, int wmBreakMaxDistance, int wmShiftContractsNSizeIs, int[] wmShiftContracts, int wmBMSequencesNSizeIs, CfgShiftBMSequence[] wmBMSequences, int wmShiftMealsNSizeIs, CfgShiftMeal[] wmShiftMeals, int wmShiftBreaksNSizeIs, CfgShiftBreak[] wmShiftBreaks, int wmShiftTaskSequencesNSizeIs, int[] wmShiftTaskSequences, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgShift.
    `CfgShiftBMSequence[]` | `getWmBMSequences()` Gets the wmBMSequences value for this CfgShift.
    `int` | `getWmBMSequencesNSizeIs()` Gets the wmBMSequencesNSizeIs value for this CfgShift.
    `int` | `getWmBreakMaxDistance()` Gets the wmBreakMaxDistance value for this CfgShift.
    `int` | `getWmBreakMinDistance()` Gets the wmBreakMinDistance value for this CfgShift.
    `int` | `getWmConsecutiveDays()` Gets the wmConsecutiveDays value for this CfgShift.
    `int` | `getWmDayOffRule()` Gets the wmDayOffRule value for this CfgShift.
    `int` | `getWmDistribPeriod()` Gets the wmDistribPeriod value for this CfgShift.
    `int` | `getWmEarliestEndDuration()` Gets the wmEarliestEndDuration value for this CfgShift.
    `double` | `getWmEarliestStartTime()` Gets the wmEarliestStartTime value for this CfgShift.
    `int` | `getWmLatestEndDuration()` Gets the wmLatestEndDuration value for this CfgShift.
    `int` | `getWmLatestStartDuration()` Gets the wmLatestStartDuration value for this CfgShift.
    `int` | `getWmMaxDuration()` Gets the wmMaxDuration value for this CfgShift.
    `int` | `getWmMaxOccur()` Gets the wmMaxOccur value for this CfgShift.
    `int` | `getWmMinDuration()` Gets the wmMinDuration value for this CfgShift.
    `int` | `getWmMinOccur()` Gets the wmMinOccur value for this CfgShift.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgShift.
    `boolean[]` | `getWmOpenWeekDays()` Gets the wmOpenWeekDays value for this CfgShift.
    `CfgShiftBreak[]` | `getWmShiftBreaks()` Gets the wmShiftBreaks value for this CfgShift.
    `int` | `getWmShiftBreaksNSizeIs()` Gets the wmShiftBreaksNSizeIs value for this CfgShift.
    `int[]` | `getWmShiftContracts()` Gets the wmShiftContracts value for this CfgShift.
    `int` | `getWmShiftContractsNSizeIs()` Gets the wmShiftContractsNSizeIs value for this CfgShift.
    `int` | `getWmShiftId()` Gets the wmShiftId value for this CfgShift.
    `CfgShiftMeal[]` | `getWmShiftMeals()` Gets the wmShiftMeals value for this CfgShift.
    `int` | `getWmShiftMealsNSizeIs()` Gets the wmShiftMealsNSizeIs value for this CfgShift.
    `int[]` | `getWmShiftTaskSequences()` Gets the wmShiftTaskSequences value for this CfgShift.
    `int` | `getWmShiftTaskSequencesNSizeIs()` Gets the wmShiftTaskSequencesNSizeIs value for this CfgShift.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgShift.
    `int` | `getWmStartStep()` Gets the wmStartStep value for this CfgShift.
    `int` | `getWmTaskSequenceUsage()` Gets the wmTaskSequenceUsage value for this CfgShift.
    `int` | `hashCode()`
    `boolean` | `isWmUseAfterDayOff()` Gets the wmUseAfterDayOff value for this CfgShift.
    `boolean` | `isWmUseConsecutive()` Gets the wmUseConsecutive value for this CfgShift.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgShift.
    `void` | `setWmBMSequences(CfgShiftBMSequence[] wmBMSequences)` Sets the wmBMSequences value for this CfgShift.
    `void` | `setWmBMSequencesNSizeIs(int wmBMSequencesNSizeIs)` Sets the wmBMSequencesNSizeIs value for this CfgShift.
    `void` | `setWmBreakMaxDistance(int wmBreakMaxDistance)` Sets the wmBreakMaxDistance value for this CfgShift.
    `void` | `setWmBreakMinDistance(int wmBreakMinDistance)` Sets the wmBreakMinDistance value for this CfgShift.
    `void` | `setWmConsecutiveDays(int wmConsecutiveDays)` Sets the wmConsecutiveDays value for this CfgShift.
    `void` | `setWmDayOffRule(int wmDayOffRule)` Sets the wmDayOffRule value for this CfgShift.
    `void` | `setWmDistribPeriod(int wmDistribPeriod)` Sets the wmDistribPeriod value for this CfgShift.
    `void` | `setWmEarliestEndDuration(int wmEarliestEndDuration)` Sets the wmEarliestEndDuration value for this CfgShift.
    `void` | `setWmEarliestStartTime(double wmEarliestStartTime)` Sets the wmEarliestStartTime value for this CfgShift.
    `void` | `setWmLatestEndDuration(int wmLatestEndDuration)` Sets the wmLatestEndDuration value for this CfgShift.
    `void` | `setWmLatestStartDuration(int wmLatestStartDuration)` Sets the wmLatestStartDuration value for this CfgShift.
    `void` | `setWmMaxDuration(int wmMaxDuration)` Sets the wmMaxDuration value for this CfgShift.
    `void` | `setWmMaxOccur(int wmMaxOccur)` Sets the wmMaxOccur value for this CfgShift.
    `void` | `setWmMinDuration(int wmMinDuration)` Sets the wmMinDuration value for this CfgShift.
    `void` | `setWmMinOccur(int wmMinOccur)` Sets the wmMinOccur value for this CfgShift.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgShift.
    `void` | `setWmOpenWeekDays(boolean[] wmOpenWeekDays)` Sets the wmOpenWeekDays value for this CfgShift.
    `void` | `setWmShiftBreaks(CfgShiftBreak[] wmShiftBreaks)` Sets the wmShiftBreaks value for this CfgShift.
    `void` | `setWmShiftBreaksNSizeIs(int wmShiftBreaksNSizeIs)` Sets the wmShiftBreaksNSizeIs value for this CfgShift.
    `void` | `setWmShiftContracts(int[] wmShiftContracts)` Sets the wmShiftContracts value for this CfgShift.
    `void` | `setWmShiftContractsNSizeIs(int wmShiftContractsNSizeIs)` Sets the wmShiftContractsNSizeIs value for this CfgShift.
    `void` | `setWmShiftId(int wmShiftId)` Sets the wmShiftId value for this CfgShift.
    `void` | `setWmShiftMeals(CfgShiftMeal[] wmShiftMeals)` Sets the wmShiftMeals value for this CfgShift.
    `void` | `setWmShiftMealsNSizeIs(int wmShiftMealsNSizeIs)` Sets the wmShiftMealsNSizeIs value for this CfgShift.
    `void` | `setWmShiftTaskSequences(int[] wmShiftTaskSequences)` Sets the wmShiftTaskSequences value for this CfgShift.
    `void` | `setWmShiftTaskSequencesNSizeIs(int wmShiftTaskSequencesNSizeIs)` Sets the wmShiftTaskSequencesNSizeIs value for this CfgShift.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgShift.
    `void` | `setWmStartStep(int wmStartStep)` Sets the wmStartStep value for this CfgShift.
    `void` | `setWmTaskSequenceUsage(int wmTaskSequenceUsage)` Sets the wmTaskSequenceUsage value for this CfgShift.
    `void` | `setWmUseAfterDayOff(boolean wmUseAfterDayOff)` Sets the wmUseAfterDayOff value for this CfgShift.
    `void` | `setWmUseConsecutive(boolean wmUseConsecutive)` Sets the wmUseConsecutive value for this CfgShift.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmShiftId

          private int wmShiftId

    - #### wmSiteId

          private int wmSiteId

    - #### wmName

          private java.lang.String wmName

    - #### wmMinDuration

          private int wmMinDuration

    - #### wmMaxDuration

          private int wmMaxDuration

    - #### wmEarliestStartTime

          private double wmEarliestStartTime

    - #### wmLatestEndDuration

          private int wmLatestEndDuration

    - #### wmDayOffRule

          private int wmDayOffRule

    - #### wmOpenWeekDays

          private boolean[] wmOpenWeekDays

    - #### wmStartStep

          private int wmStartStep

    - #### wmMinOccur

          private int wmMinOccur

    - #### wmMaxOccur

          private int wmMaxOccur

    - #### wmDistribPeriod

          private int wmDistribPeriod

    - #### wmBreakMinDistance

          private int wmBreakMinDistance

    - #### wmTaskSequenceUsage

          private int wmTaskSequenceUsage

    - #### wmUseConsecutive

          private boolean wmUseConsecutive

    - #### wmConsecutiveDays

          private int wmConsecutiveDays

    - #### wmUseAfterDayOff

          private boolean wmUseAfterDayOff

    - #### wmLatestStartDuration

          private int wmLatestStartDuration

    - #### wmEarliestEndDuration

          private int wmEarliestEndDuration

    - #### wmBreakMaxDistance

          private int wmBreakMaxDistance

    - #### wmShiftContractsNSizeIs

          private int wmShiftContractsNSizeIs

    - #### wmShiftContracts

          private int[] wmShiftContracts

    - #### wmBMSequencesNSizeIs

          private int wmBMSequencesNSizeIs

    - #### wmBMSequences

          private CfgShiftBMSequence[] wmBMSequences

    - #### wmShiftMealsNSizeIs

          private int wmShiftMealsNSizeIs

    - #### wmShiftMeals

          private CfgShiftMeal[] wmShiftMeals

    - #### wmShiftBreaksNSizeIs

          private int wmShiftBreaksNSizeIs

    - #### wmShiftBreaks

          private CfgShiftBreak[] wmShiftBreaks

    - #### wmShiftTaskSequencesNSizeIs

          private int wmShiftTaskSequencesNSizeIs

    - #### wmShiftTaskSequences

          private int[] wmShiftTaskSequences

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgShift

          public CfgShift()

    - #### CfgShift

          public CfgShift(int wmShiftId,
                  int wmSiteId,
                  java.lang.String wmName,
                  int wmMinDuration,
                  int wmMaxDuration,
                  double wmEarliestStartTime,
                  int wmLatestEndDuration,
                  int wmDayOffRule,
                  boolean[] wmOpenWeekDays,
                  int wmStartStep,
                  int wmMinOccur,
                  int wmMaxOccur,
                  int wmDistribPeriod,
                  int wmBreakMinDistance,
                  int wmTaskSequenceUsage,
                  boolean wmUseConsecutive,
                  int wmConsecutiveDays,
                  boolean wmUseAfterDayOff,
                  int wmLatestStartDuration,
                  int wmEarliestEndDuration,
                  int wmBreakMaxDistance,
                  int wmShiftContractsNSizeIs,
                  int[] wmShiftContracts,
                  int wmBMSequencesNSizeIs,
                  CfgShiftBMSequence[] wmBMSequences,
                  int wmShiftMealsNSizeIs,
                  CfgShiftMeal[] wmShiftMeals,
                  int wmShiftBreaksNSizeIs,
                  CfgShiftBreak[] wmShiftBreaks,
                  int wmShiftTaskSequencesNSizeIs,
                  int[] wmShiftTaskSequences,
                  long timestamp)

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the wmShiftId value for this CfgShift.
      Returns:
        wmShiftId

    - #### setWmShiftId

          public void setWmShiftId(int wmShiftId)

      Sets the wmShiftId value for this CfgShift.
      Parameters:
        `wmShiftId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgShift.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgShift.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgShift.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgShift.
      Parameters:
        `wmName` -

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the wmMinDuration value for this CfgShift.
      Returns:
        wmMinDuration

    - #### setWmMinDuration

          public void setWmMinDuration(int wmMinDuration)

      Sets the wmMinDuration value for this CfgShift.
      Parameters:
        `wmMinDuration` -

    - #### getWmMaxDuration

          public int getWmMaxDuration()

      Gets the wmMaxDuration value for this CfgShift.
      Returns:
        wmMaxDuration

    - #### setWmMaxDuration

          public void setWmMaxDuration(int wmMaxDuration)

      Sets the wmMaxDuration value for this CfgShift.
      Parameters:
        `wmMaxDuration` -

    - #### getWmEarliestStartTime

          public double getWmEarliestStartTime()

      Gets the wmEarliestStartTime value for this CfgShift.
      Returns:
        wmEarliestStartTime

    - #### setWmEarliestStartTime

          public void setWmEarliestStartTime(double wmEarliestStartTime)

      Sets the wmEarliestStartTime value for this CfgShift.
      Parameters:
        `wmEarliestStartTime` -

    - #### getWmLatestEndDuration

          public int getWmLatestEndDuration()

      Gets the wmLatestEndDuration value for this CfgShift.
      Returns:
        wmLatestEndDuration

    - #### setWmLatestEndDuration

          public void setWmLatestEndDuration(int wmLatestEndDuration)

      Sets the wmLatestEndDuration value for this CfgShift.
      Parameters:
        `wmLatestEndDuration` -

    - #### getWmDayOffRule

          public int getWmDayOffRule()

      Gets the wmDayOffRule value for this CfgShift.
      Returns:
        wmDayOffRule

    - #### setWmDayOffRule

          public void setWmDayOffRule(int wmDayOffRule)

      Sets the wmDayOffRule value for this CfgShift.
      Parameters:
        `wmDayOffRule` -

    - #### getWmOpenWeekDays

          public boolean[] getWmOpenWeekDays()

      Gets the wmOpenWeekDays value for this CfgShift.
      Returns:
        wmOpenWeekDays

    - #### setWmOpenWeekDays

          public void setWmOpenWeekDays(boolean[] wmOpenWeekDays)

      Sets the wmOpenWeekDays value for this CfgShift.
      Parameters:
        `wmOpenWeekDays` -

    - #### getWmStartStep

          public int getWmStartStep()

      Gets the wmStartStep value for this CfgShift.
      Returns:
        wmStartStep

    - #### setWmStartStep

          public void setWmStartStep(int wmStartStep)

      Sets the wmStartStep value for this CfgShift.
      Parameters:
        `wmStartStep` -

    - #### getWmMinOccur

          public int getWmMinOccur()

      Gets the wmMinOccur value for this CfgShift.
      Returns:
        wmMinOccur

    - #### setWmMinOccur

          public void setWmMinOccur(int wmMinOccur)

      Sets the wmMinOccur value for this CfgShift.
      Parameters:
        `wmMinOccur` -

    - #### getWmMaxOccur

          public int getWmMaxOccur()

      Gets the wmMaxOccur value for this CfgShift.
      Returns:
        wmMaxOccur

    - #### setWmMaxOccur

          public void setWmMaxOccur(int wmMaxOccur)

      Sets the wmMaxOccur value for this CfgShift.
      Parameters:
        `wmMaxOccur` -

    - #### getWmDistribPeriod

          public int getWmDistribPeriod()

      Gets the wmDistribPeriod value for this CfgShift.
      Returns:
        wmDistribPeriod

    - #### setWmDistribPeriod

          public void setWmDistribPeriod(int wmDistribPeriod)

      Sets the wmDistribPeriod value for this CfgShift.
      Parameters:
        `wmDistribPeriod` -

    - #### getWmBreakMinDistance

          public int getWmBreakMinDistance()

      Gets the wmBreakMinDistance value for this CfgShift.
      Returns:
        wmBreakMinDistance

    - #### setWmBreakMinDistance

          public void setWmBreakMinDistance(int wmBreakMinDistance)

      Sets the wmBreakMinDistance value for this CfgShift.
      Parameters:
        `wmBreakMinDistance` -

    - #### getWmTaskSequenceUsage

          public int getWmTaskSequenceUsage()

      Gets the wmTaskSequenceUsage value for this CfgShift.
      Returns:
        wmTaskSequenceUsage

    - #### setWmTaskSequenceUsage

          public void setWmTaskSequenceUsage(int wmTaskSequenceUsage)

      Sets the wmTaskSequenceUsage value for this CfgShift.
      Parameters:
        `wmTaskSequenceUsage` -

    - #### isWmUseConsecutive

          public boolean isWmUseConsecutive()

      Gets the wmUseConsecutive value for this CfgShift.
      Returns:
        wmUseConsecutive

    - #### setWmUseConsecutive

          public void setWmUseConsecutive(boolean wmUseConsecutive)

      Sets the wmUseConsecutive value for this CfgShift.
      Parameters:
        `wmUseConsecutive` -

    - #### getWmConsecutiveDays

          public int getWmConsecutiveDays()

      Gets the wmConsecutiveDays value for this CfgShift.
      Returns:
        wmConsecutiveDays

    - #### setWmConsecutiveDays

          public void setWmConsecutiveDays(int wmConsecutiveDays)

      Sets the wmConsecutiveDays value for this CfgShift.
      Parameters:
        `wmConsecutiveDays` -

    - #### isWmUseAfterDayOff

          public boolean isWmUseAfterDayOff()

      Gets the wmUseAfterDayOff value for this CfgShift.
      Returns:
        wmUseAfterDayOff

    - #### setWmUseAfterDayOff

          public void setWmUseAfterDayOff(boolean wmUseAfterDayOff)

      Sets the wmUseAfterDayOff value for this CfgShift.
      Parameters:
        `wmUseAfterDayOff` -

    - #### getWmLatestStartDuration

          public int getWmLatestStartDuration()

      Gets the wmLatestStartDuration value for this CfgShift.
      Returns:
        wmLatestStartDuration

    - #### setWmLatestStartDuration

          public void setWmLatestStartDuration(int wmLatestStartDuration)

      Sets the wmLatestStartDuration value for this CfgShift.
      Parameters:
        `wmLatestStartDuration` -

    - #### getWmEarliestEndDuration

          public int getWmEarliestEndDuration()

      Gets the wmEarliestEndDuration value for this CfgShift.
      Returns:
        wmEarliestEndDuration

    - #### setWmEarliestEndDuration

          public void setWmEarliestEndDuration(int wmEarliestEndDuration)

      Sets the wmEarliestEndDuration value for this CfgShift.
      Parameters:
        `wmEarliestEndDuration` -

    - #### getWmBreakMaxDistance

          public int getWmBreakMaxDistance()

      Gets the wmBreakMaxDistance value for this CfgShift.
      Returns:
        wmBreakMaxDistance

    - #### setWmBreakMaxDistance

          public void setWmBreakMaxDistance(int wmBreakMaxDistance)

      Sets the wmBreakMaxDistance value for this CfgShift.
      Parameters:
        `wmBreakMaxDistance` -

    - #### getWmShiftContractsNSizeIs

          public int getWmShiftContractsNSizeIs()

      Gets the wmShiftContractsNSizeIs value for this CfgShift.
      Returns:
        wmShiftContractsNSizeIs

    - #### setWmShiftContractsNSizeIs

          public void setWmShiftContractsNSizeIs(int wmShiftContractsNSizeIs)

      Sets the wmShiftContractsNSizeIs value for this CfgShift.
      Parameters:
        `wmShiftContractsNSizeIs` -

    - #### getWmShiftContracts

          public int[] getWmShiftContracts()

      Gets the wmShiftContracts value for this CfgShift.
      Returns:
        wmShiftContracts

    - #### setWmShiftContracts

          public void setWmShiftContracts(int[] wmShiftContracts)

      Sets the wmShiftContracts value for this CfgShift.
      Parameters:
        `wmShiftContracts` -

    - #### getWmBMSequencesNSizeIs

          public int getWmBMSequencesNSizeIs()

      Gets the wmBMSequencesNSizeIs value for this CfgShift.
      Returns:
        wmBMSequencesNSizeIs

    - #### setWmBMSequencesNSizeIs

          public void setWmBMSequencesNSizeIs(int wmBMSequencesNSizeIs)

      Sets the wmBMSequencesNSizeIs value for this CfgShift.
      Parameters:
        `wmBMSequencesNSizeIs` -

    - #### getWmBMSequences

          public CfgShiftBMSequence[] getWmBMSequences()

      Gets the wmBMSequences value for this CfgShift.
      Returns:
        wmBMSequences

    - #### setWmBMSequences

          public void setWmBMSequences(CfgShiftBMSequence[] wmBMSequences)

      Sets the wmBMSequences value for this CfgShift.
      Parameters:
        `wmBMSequences` -

    - #### getWmShiftMealsNSizeIs

          public int getWmShiftMealsNSizeIs()

      Gets the wmShiftMealsNSizeIs value for this CfgShift.
      Returns:
        wmShiftMealsNSizeIs

    - #### setWmShiftMealsNSizeIs

          public void setWmShiftMealsNSizeIs(int wmShiftMealsNSizeIs)

      Sets the wmShiftMealsNSizeIs value for this CfgShift.
      Parameters:
        `wmShiftMealsNSizeIs` -

    - #### getWmShiftMeals

          public CfgShiftMeal[] getWmShiftMeals()

      Gets the wmShiftMeals value for this CfgShift.
      Returns:
        wmShiftMeals

    - #### setWmShiftMeals

          public void setWmShiftMeals(CfgShiftMeal[] wmShiftMeals)

      Sets the wmShiftMeals value for this CfgShift.
      Parameters:
        `wmShiftMeals` -

    - #### getWmShiftBreaksNSizeIs

          public int getWmShiftBreaksNSizeIs()

      Gets the wmShiftBreaksNSizeIs value for this CfgShift.
      Returns:
        wmShiftBreaksNSizeIs

    - #### setWmShiftBreaksNSizeIs

          public void setWmShiftBreaksNSizeIs(int wmShiftBreaksNSizeIs)

      Sets the wmShiftBreaksNSizeIs value for this CfgShift.
      Parameters:
        `wmShiftBreaksNSizeIs` -

    - #### getWmShiftBreaks

          public CfgShiftBreak[] getWmShiftBreaks()

      Gets the wmShiftBreaks value for this CfgShift.
      Returns:
        wmShiftBreaks

    - #### setWmShiftBreaks

          public void setWmShiftBreaks(CfgShiftBreak[] wmShiftBreaks)

      Sets the wmShiftBreaks value for this CfgShift.
      Parameters:
        `wmShiftBreaks` -

    - #### getWmShiftTaskSequencesNSizeIs

          public int getWmShiftTaskSequencesNSizeIs()

      Gets the wmShiftTaskSequencesNSizeIs value for this CfgShift.
      Returns:
        wmShiftTaskSequencesNSizeIs

    - #### setWmShiftTaskSequencesNSizeIs

          public void setWmShiftTaskSequencesNSizeIs(int wmShiftTaskSequencesNSizeIs)

      Sets the wmShiftTaskSequencesNSizeIs value for this CfgShift.
      Parameters:
        `wmShiftTaskSequencesNSizeIs` -

    - #### getWmShiftTaskSequences

          public int[] getWmShiftTaskSequences()

      Gets the wmShiftTaskSequences value for this CfgShift.
      Returns:
        wmShiftTaskSequences

    - #### setWmShiftTaskSequences

          public void setWmShiftTaskSequences(int[] wmShiftTaskSequences)

      Sets the wmShiftTaskSequences value for this CfgShift.
      Parameters:
        `wmShiftTaskSequences` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgShift.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgShift.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.